<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));

add_action ('init','my_theme_init');
function my_theme_init ()
{
load_theme_textdomain ('retweet');
}
?>
<?php
function custom_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    global $commentcount;
    if(!$commentcount) $commentcount = 0;
    $commentcount ++;
    global $commentalt;
    ($commentalt == "alt")?$commentalt="":$commentalt="alt";   
?>
    <li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
	<p class="author <?php echo $commentalt?>"><?php comment_author_link( ); ?><?php _e(' reply on ', 'retweet') ?><?php comment_date( ); ?><?php comment_time(); ?> | <a href="#comment-<?php comment_ID( ); ?>">#</a><strong class="commentcount"><?php echo $commentcount ?></strong></p>
        <?php echo get_avatar( $comment, 48 ); ?>
		<div class="replybox">
			<div class="reply_shell"></div>
			<?php comment_text( ); ?>
			<?php edit_comment_link('[Edit]','<span class="edit_button">','</span>'); ?><span class="reply_button"><?php comment_reply_link(array('depth' => $depth, 'max_depth'=> $args['max_depth'], 'reply_text' => "[Reply]"));?></span>
		</div>
    </li>
<?php } ?>
<?php
class ClassicOptions {
	function getOptions() {

		$options = get_option('classic_options');
		if (!is_array($options)) {
			$options['retweet_notice'] = false;
			$options['retweet_notice_content'] = '';
			$options['retweet_twitter_username'] = '';
			$options['retweet_twitter_number'] = '3';
			$options['retweet_design_background'] = '';
			$options['retweet_design_background_tile'] = false;
			$options['retweet_design_bgcolor'] = '#000000';
			$options['retweet_design_text'] = '#15564D';
			$options['retweet_design_links'] = '#A11B3D';
			$options['retweet_design_sidebar'] = '#EFF3A5';
			$options['retweet_design_sidebarborder'] = '#DBE080';
			$options['retweet_round_border'] = false;
			$options['retweet_logo'] = false;
			update_option('classic_options', $options);
		}
		return $options;
	}
 
	function init() {
		if(isset($_POST['classic_save'])) {
			$options = ClassicOptions::getOptions();
			if ($_POST['retweet_notice']) {
				$options['retweet_notice'] = (bool)true;
			} else {
				$options['retweet_notice'] = (bool)false;
			}
			if ($_POST['retweet_round_border']) {
				$options['retweet_round_border'] = (bool)true;
			} else {
				$options['retweet_round_border'] = (bool)false;
			}
			if ($_POST['retweet_logo']) {
				$options['retweet_logo'] = (bool)true;
			} else {
				$options['retweet_logo'] = (bool)false;
			}
			if ($_POST['retweet_design_background_tile']) {
				$options['retweet_design_background_tile'] = (bool)true;
			} else {
				$options['retweet_design_background_tile'] = (bool)false;
			}

			$options['retweet_notice_content'] = stripslashes($_POST['retweet_notice_content']);
			$options['retweet_twitter_username'] = stripslashes($_POST['retweet_twitter_username']);
			$options['retweet_twitter_number'] = stripslashes($_POST['retweet_twitter_number']);
			$options['retweet_design_background'] = stripslashes($_POST['retweet_design_background']);
			$options['retweet_design_bgcolor'] = stripslashes($_POST['retweet_design_bgcolor']);
			$options['retweet_design_text'] = stripslashes($_POST['retweet_design_text']);
			$options['retweet_design_links'] = stripslashes($_POST['retweet_design_links']);
			$options['retweet_design_sidebar'] = stripslashes($_POST['retweet_design_sidebar']);
			$options['retweet_design_sidebarborder'] = stripslashes($_POST['retweet_design_sidebarborder']);
			update_option('classic_options', $options);
 
		} else {
			ClassicOptions::getOptions();
		}
 
		add_theme_page("Retweet Options", "Retweet Options", 'edit_themes', basename(__FILE__), array('ClassicOptions', 'display'));
	}
 
	function display() {
		$options = ClassicOptions::getOptions();
?>
<form action="#" method="post" enctype="multipart/form-data" name="classic_form" id="classic_form">
	<div class="wrap">
		<h2><?php _e('Retweet Theme Options', 'retweet'); ?></h2>
 		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Option', 'retweet'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'retweet') ?></small>
					</th>
					<td>
						<label>
							<input name="retweet_notice" type="checkbox" value="checkbox" <?php if($options['retweet_notice']) echo "checked='checked'"; ?> />
							<?php _e('Show Notice', 'retweet'); ?>
						</label>
						<br/>
						<label>
							<textarea name="retweet_notice_content" cols="50" rows="3" id="retweet_notice_content" style="width:98%;font-size:12px;overflow:auto;" class="code"><?php echo($options['retweet_notice_content']); ?></textarea>
						</label>
						<br/>
						<label>
							<?php _e('Your twitter username : ', 'retweet'); ?><textarea name="retweet_twitter_username" cols="50" rows="1" id="retweet_twitter_username" style="width:100px;font-size:12px;overflow:hidden;" class="code"><?php echo($options['retweet_twitter_username']); ?></textarea>
						</label>
						<br/>
						<label>
							<?php _e('Tweet display number :', 'retweet'); ?><textarea name="retweet_twitter_number" cols="50" rows="1" id="retweet_twitter_number" style="width:30px;font-size:12px;overflow:hidden;" class="code"><?php echo($options['retweet_twitter_number']); ?></textarea>
						</label>
						<br/>
						<label>
							<input name="retweet_round_border" type="checkbox" value="checkbox" <?php if($options['retweet_round_border']) echo "checked='checked'"; ?> />
							 <?php _e('Use Roundborder(do not work in IE and invalid CSS3).', 'retweet'); ?>
						</label>
						<br/>
						<label>
							<input name="retweet_logo" type="checkbox" value="checkbox" <?php if($options['retweet_logo']) echo "checked='checked'"; ?> />
							 <?php _e('Use logo image instead of text(The logo image is in the theme image folder)', 'retweet'); ?>
						</label>
					</td>
				</tr>


				<tr valign="top">
					<th scope="row">
						<?php _e('Design', 'retweet'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('Just like your twitter!', 'retweet') ?></small>
					</th>
					<td>
						<label>
							<?php _e('Background : ', 'retweet'); ?><br><textarea name="retweet_design_background" cols="50" rows="2" id="retweet_design_background" style="width:98%;font-size:12px;overflow:auto;" class="code"><?php echo($options['retweet_design_background']); ?></textarea>
						</label>
						<br/>
						<label>
							<input name="retweet_design_background_tile" type="checkbox" value="checkbox" <?php if($options['retweet_design_background_tile']) echo "checked='checked'"; ?> /><?php _e('Tile background', 'retweet'); ?>
						</label>
						<br/>
						<label>
							<?php _e('Background :', 'retweet'); ?><textarea name="retweet_design_bgcolor" cols="50" rows="1" id="retweet_design_bgcolor" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:<?php echo($options['retweet_design_bgcolor']); ?>;" class="code"><?php echo($options['retweet_design_bgcolor']); ?></textarea>
						</label>
						<br/>
						<label>
							<?php _e('Text :', 'retweet'); ?><textarea name="retweet_design_text" cols="50" rows="1" id="retweet_design_text" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:<?php echo($options['retweet_design_text']); ?>;" class="code"><?php echo($options['retweet_design_text']); ?></textarea>
						</label>
						<br/>
						<label>
							<?php _e('Links :', 'retweet'); ?><textarea name="retweet_design_links" cols="50" rows="1" id="retweet_design_links" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:<?php echo($options['retweet_design_links']); ?>;" class="code"><?php echo($options['retweet_design_links']); ?></textarea>
						</label>
						<br/>
						<label>
							<?php _e('Sidebar :', 'retweet'); ?><textarea name="retweet_design_sidebar" cols="50" rows="1" id="retweet_design_sidebar" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:<?php echo($options['retweet_design_sidebar']); ?>;" class="code"><?php echo($options['retweet_design_sidebar']); ?></textarea>
						</label>
						<br/>
						<label>
							<?php _e('Sidebarborder :', 'retweet'); ?><textarea name="retweet_design_sidebarborder" cols="50" rows="1" id="retweet_design_sidebarborder" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:<?php echo($options['retweet_design_sidebarborder']); ?>;" class="code"><?php echo($options['retweet_design_sidebarborder']); ?></textarea>
						</label>
						<br/>
					</td>
				</tr>
				
			</tbody>
		</table>
		<p class="submit">
			<input type="submit" name="classic_save" value="<?php _e('Update Options &raquo;', 'retweet'); ?>" />
		</p>
	</div>
</form>
 
<?php
	}
}
 
add_action('admin_menu', array('ClassicOptions', 'init'));
 
?>